interface User {
    email: string;
}
interface JSONObject {
    [x: string]: JSONValue;
}
declare type JSONValue = string | number | boolean | {
    [x: string]: JSONValue;
} | Array<JSONValue>;
interface Constructor {
    publicApiKey: string;
    env: string;
}
export declare type FeatureOverride = {
    name: string;
    enabled: boolean;
};
declare class FeatureFlags {
    private _apiKey;
    private _env;
    private _user?;
    private _intervalId?;
    private _features;
    private _featureOverrides;
    private _configs;
    constructor({ publicApiKey, env }: Constructor);
    fetchFeatureFlags(user: User): Promise<void>;
    isOn(featureName: string): boolean;
    private mergeFeatures;
    setFeatures(featureOvverides: FeatureOverride[]): void;
    getConfig(featureName: string): JSONObject;
    private _fetchFlags;
    private _saveToLocalStorage;
    private _getFromLocalStorage;
}
declare const _default: {
    create: ({ publicApiKey, env }: Constructor) => FeatureFlags;
};
export default _default;
